<template>
  <!-- eslint-disable vue/no-v-html -->
  <div v-html="bodytext" />
  <!-- eslint-enable -->
</template>

<script>
export default {
  name: 'CeHtml',

  props: {
    bodytext: {
      type: String,
      default: ''
    }
  }
}
</script>

<style scoped>
div >>> .text-center {
  text-align: center;
}

div >>> .text-right {
  text-align: right;
}

div >>> .text-justify {
  text-align: justify;
  text-justify: inter-word;
}

div >>> hr {
  border-color: lightgrey;
}

div >>> blockquote {
  position: relative;
  font-style: italic;
  font-weight: 300;
}

div >>> blockquote:before {
  content: '';
  position: absolute;
  width: 3px;
  height: 100%;
  background-color: lightgrey;
  transform: translateX(-250%);
  right: 100%;
}
</style>
